import { interfaces } from '@theia/core/shared/inversify';
import { PreferenceProxy, PreferenceService, PreferenceSchema } from '@theia/core/lib/browser/preferences';
export declare const WIN32_MAX_FILE_SIZE_MB = 300;
export declare const GENERAL_MAX_FILE_SIZE_MB: number;
export declare const MAX_FILE_SIZE_MB: number;
export declare const filesystemPreferenceSchema: PreferenceSchema;
export interface FileSystemConfiguration {
    'files.watcherExclude': {
        [globPattern: string]: boolean;
    };
    'files.exclude': {
        [key: string]: boolean;
    };
    'files.enableTrash': boolean;
    'files.associations': {
        [filepattern: string]: string;
    };
    'files.encoding': string;
    'files.autoGuessEncoding': boolean;
    'files.participants.timeout': number;
    'files.maxFileSizeMB': number;
    'files.trimTrailingWhitespace': boolean;
    'files.maxConcurrentUploads': number;
}
export declare const FileSystemPreferenceContribution: unique symbol;
export declare const FileSystemPreferences: unique symbol;
export declare type FileSystemPreferences = PreferenceProxy<FileSystemConfiguration>;
export declare function createFileSystemPreferences(preferences: PreferenceService, schema?: PreferenceSchema): FileSystemPreferences;
export declare function bindFileSystemPreferences(bind: interfaces.Bind): void;
//# sourceMappingURL=filesystem-preferences.d.ts.map